:root {
    --page-bg-color: #09090b; /* black */
    --main-text-color: #FFFDD0; /* off white */
    --top-gradient-color: #036763; /* teal */
    --bottom-gradient-color: #314717; /* darkish mint */
}

body {
    background-color: var(--page-bg-color);
    color: var(--main-text-color);
    font-family: "Inter", sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.header {
    background: linear-gradient(var(--top-gradient-color), var(--bottom-gradient-color));
    padding: 1rem;
}

#top_heading {
    font-size: 1.5rem;
    text-align: center;
}

#main_heading {
    font-size: 4rem;
    text-align: center;
    margin-top: 5%;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 0%;
}

#bottom_heading {
    font-size: 0.5rem;
    text-align: center;
    margin-bottom: 7%;
}

.explain_body {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1.5rem;
}

#body_title {
    font-size: 1.9rem;
    margin-top: 1.5rem;
    margin-bottom: 2.5rem;
}

.info_card {
    border-style: solid;
    border-color: var(--main-text-color);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
    padding: 1rem;
    margin: 1rem;
    border-width: 0.22rem;
}

.info_card_title {
    font-size: 1.75rem;
    margin-right: 1rem;
}

.info_card_para {
    font-size: 1rem;
    margin-left: 1rem;
    font-weight: 500;
}

#bottom_heading_form {
    font-size: 2rem;
    text-align: center;
    margin: 1rem;
}

.form_thing {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    max-width: 340px;
    padding: 0 10px;
    margin-top: 1rem;
}

.form_input {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 1.2rem;
    width: 100%;
}

.form_input input {
    width: 100%;
    max-width: 320px;
    padding: 0.8rem 1rem;
    background-color: var(--page-bg-color);
    color: var(--main-text-color);
    font-family: "Inter", sans-serif;
    font-size: 1rem;
    
    border: 1px solid var(--bottom-gradient-color);
    border-radius: 6px;
    outline: none;
    transition: all 0.2s ease;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.form_input input:focus {
    border-color: var(--bottom-gradient-color);
    box-shadow: 0 0 8px rgba(41, 236, 230, 0.4);
}

.form_input label {
    font-size: 0.9rem;
    font-weight: 500;
    margin-bottom: 0.4rem;
}

#field_button {
    color: var(--page-bg-color);
    background-color: var(--main-text-color);
    border-style: solid;
    border-color: var(--main-text-color);
    border-width: 0.2rem;
    border-radius: 6px;
    display: block;
    width: 100%;
    cursor: pointer;

    /* Margins */

    margin-top: 0.8rem;
    margin-bottom: 10%;
    margin-left: auto;
    margin-right: auto;

    /* Deez paddings auto adjust to ur screen */

    padding-top: clamp(0.5rem, 2vw, 1rem);
    padding-bottom: clamp(0.5rem, 2vw, 1rem);
    padding-left: clamp(1.5rem, 2vw, 3rem);
    padding-right: clamp(1.5rem, 2vw, 3rem);

    max-width: 420px;
    transition-duration: 0.4s;

    font-family: "Inter", sans-serif;
    font-weight:700;
}

#field_button:hover {
  background-color: var(--top-gradient-color);
  color: var(--main-text-color);
}

.bottom_form_text {
    border-style: solid;
    border-color: var(--main-text-color);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    max-width: 750px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 1rem;
    margin: 1rem;
    border-width: 0.22rem;
}

#bottom_form_heading {
    font-size: 0.7rem;
    margin-bottom: 0.2rem;
    text-align: center;
}

#center_div {
    display: flex;
    justify-content: center;
    align-items: center;
}